/*
 * Copyright (c) Members of the EGEE Collaboration. 2004. 
 * See http://www.eu-egee.org/partners/ for details on the copyright
 * holders.  
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 *
 *     http://www.apache.org/licenses/LICENSE-2.0 
 *
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 */

/*
 * 
 * Authors: Antonino Stefano Borgia <stefano.borgia@pd.infn.it>
 *
 */
import org.glite.ce.monitorapij.sensor.BooleanLock;

/**
 * 
 */
public class BooleanLockThread extends Thread{
   
   private BooleanLock booleanLock;
   private String operation;
   boolean value;
   boolean goOn = true;
   
   public BooleanLockThread(BooleanLock bl,String op,boolean val){
      this.booleanLock = bl;
      this.operation = op;
      this.value = val;
   }
   
   public void run(){
      if (operation == "set value") {
            try {
               sleep(1000L);
               booleanLock.setValue(value);
            } catch( InterruptedException e ) {
               e.printStackTrace();
            }
         
      }
   }
   
   public void destroy(){
      this.goOn = false;
   }

}
