/*
 * Copyright (c) Members of the EGEE Collaboration. 2004. 
 * See http://www.eu-egee.org/partners/ for details on the copyright
 * holders.  
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 *
 *     http://www.apache.org/licenses/LICENSE-2.0 
 *
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 */

/*
 * 
 * Authors: Antonino Stefano Borgia <stefano.borgia@pd.infn.it>
 *
 */
import java.io.File;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * 
 */
public class MonitorAPITestSuite {

   public static void main( String[] args ) {
   }



   public static Test suite( ) {
   	// set up environment:
//   	  System.setProperty("resourceURI","/home/borgia/usr/eclipse/TestWorkspace/org.glite.ce.monitor/test/");
//   	  System.setProperty("sensorConfigURI","/home/borgia/usr/eclipse/TestWorkspace/org.glite.ce.monitor/test/conf/");
//   	  System.setProperty("sensorURI","/home/borgia/usr/eclipse/TestWorkspace/org.glite.ce.monitor/test/conf");
//   	  System.setProperty("sensorURI","/home/borgia/usr/eclipse/TestWorkspace/org.glite.ce.monitor/test/");
//   	  System.setProperty("sensorConfigURI","/home/borgia/usr/eclipse/TestWorkspace/org.glite.ce.monitor/");
   	
   	  // ho dovuto creare la cartella log: viene cancellata da ant al termine della compilazione?
//   	  System.setProperty("test.log.dir","/home/borgia/usr/eclipse/TMPWorkspace/org.glite.ce.monitor/test/log/");
//   	  System.setProperty("test.conf.dir","/home/borgia/usr/eclipse/TMPWorkspace/org.glite.ce.monitor/test/conf/");

   	  

		//by now i'm testing only initialization phase, so i remove previously created sensorConfig.xml
		// otherwise the deserialization phase would start
	   	File sensorConfigFile = new File("/home/borgia/usr/eclipse/TestWorkspace/org.glite.ce.monitor/test/sensorConfig.xml");
	   	File queryProcessorConfigFile = new File("/home/borgia/usr/eclipse/TestWorkspace/org.glite.ce.monitor/test/queryProcessorConfig.xml");
	   	File actionConfigFile = new File("/home/borgia/usr/eclipse/TestWorkspace/org.glite.ce.monitor/test/actionConfig.xml");
	    if(sensorConfigFile.exists()){
	    	System.out.println("deleting sensorConfig.xml");
	    	sensorConfigFile.delete();
	    }
	    if(queryProcessorConfigFile.exists()){
	    	System.out.println("deleting queryProcessorConfig.xml");
	    	queryProcessorConfigFile.delete();
	    }
	    if(actionConfigFile.exists()){
	    	System.out.println("deleting actionConfigFile.xml");
	    	actionConfigFile.delete();
	    }

	
	
	
      TestSuite suite = new TestSuite( "Test for default package" );
      //$JUnit-BEGIN$
      suite.addTestSuite( BooleanLockTest.class ); // OK
      suite.addTestSuite( MonitorEventTest.class ); // OK
      suite.addTestSuite( SensorExceptionTest.class ); // OK
      suite.addTestSuite( SensorEventTest.class ); // OK
      suite.addTestSuite( SensorOutputDataFormatTest.class ); // OK
      suite.addTestSuite( QueryResultTest.class ); // OK
      suite.addTestSuite( _ActionTest.class ); // OK
      suite.addTestSuite( _DialectTest.class ); // OK
      suite.addTestSuite( _EventTest.class ); // OK
      suite.addTestSuite( _ParameterTest.class ); // OK
      suite.addTestSuite( _SubscriptionTest.class ); // OK
      suite.addTestSuite( _TopicTest.class ); // OK
      suite.addTestSuite( _TopicArrayTest.class ); // OK
      suite.addTestSuite( PropertyTest.class ); // OK
      suite.addTestSuite( ClassFilterTest.class ); // OK
      suite.addTestSuite( ResourceEventTest.class ); // OK
      suite.addTestSuite( AbstractSensorTest.class ); // OK
      suite.addTestSuite( ResourceHolderTest.class ); // 57%
      

//      suite.addTestSuite( SubscriptionHandlerTest.class );
      //$JUnit-END$
      return suite;
   }
}
