/*
 * Copyright (c) Members of the EGEE Collaboration. 2004. 
 * See http://www.eu-egee.org/partners/ for details on the copyright
 * holders.  
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 *
 *     http://www.apache.org/licenses/LICENSE-2.0 
 *
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 */

/*
 * 
 * Authors: Antonino Stefano Borgia <stefano.borgia@pd.infn.it>
 *
 */
import org.glite.ce.monitorapij.sensor.MonitorEvent;

import junit.framework.TestCase;

/**
 * 
 */
public class MonitorEventTest extends TestCase {
   
   MonitorEvent monitorEvent ;

   public static void main( String[] args ) {
      junit.textui.TestRunner.run( MonitorEventTest.class );
   }


   /*
    * @see TestCase#setUp()
    */
   protected void setUp( ) throws Exception {
      monitorEvent = new MonitorEvent();
   }


   /*
    * Class under test for void MonitorEvent()
    */
   public void testMonitorEvent( ) {
      assertNotNull("monitorEvent not created",monitorEvent);
   }


   /*
    * Class under test for void MonitorEvent(int, long)
    */
   public void testMonitorEventintlong( ) {
      monitorEvent = new MonitorEvent(10,1L);
      assertEquals("monitorEvent ID not set",10,monitorEvent.getID());
      assertEquals("monitorEvent 'when' not set",1L,monitorEvent.getWhen());
   }


   public void testGetSetID( ) {
      assertEquals("monitorEvent ID already set",0,monitorEvent.getID());
      monitorEvent.setID(100);
      assertEquals("monitorEvent ID not correclty set",100,monitorEvent.getID());
   }



   public void testGetSetIDStringValue( ) {
      assertNull("monitorEvent ID already set",monitorEvent.getIDStringValue());
      monitorEvent.setIDStringValue("Test");
      assertEquals("monitorEvent ID not correclty set","Test",monitorEvent.getIDStringValue());
   }

   public void testGetWhen( ) {
      assertFalse((int)0L == (int)monitorEvent.getWhen());

   }


   public void testGetSetMessage( ) {
      assertNull("Initial message not null",monitorEvent.getMessage());
      monitorEvent.setMessage("This is a test");
      assertEquals("Message not correctly set","This is a test",monitorEvent.getMessage());
   }


}
