/*
 * Copyright (c) Members of the EGEE Collaboration. 2004. 
 * See http://www.eu-egee.org/partners/ for details on the copyright
 * holders.  
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 *
 *     http://www.apache.org/licenses/LICENSE-2.0 
 *
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 */

/*
 * 
 * Authors: Antonino Stefano Borgia <stefano.borgia@pd.infn.it>
 *
 */
import org.glite.ce.monitorapij.resource.Resource;
import org.glite.ce.monitorapij.resource.ResourceEvent;
import org.glite.ce.monitorapij.resource.ResourceHolder;

import junit.framework.TestCase;

/**
 * @author borgia
 *
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
public class ResourceEventTest extends TestCase {


    private ResourceEvent resourceEvent = null;
    private ResourceHolder holder;
    private Resource[] resources;
    /*
     * @see TestCase#setUp()
     */
    protected void setUp() throws Exception {
        resourceEvent = new ResourceEvent(holder,1,resources);
    }

    public void testResourceEvent() {
        assertNotNull(resourceEvent);
    }

    public void testGetResourceHolder() {
        ResourceHolder anotherHolder = resourceEvent.getResourceHolder();
        assertSame(holder,anotherHolder);
    }

    public void testGetResources() {
        assertSame(resources,resourceEvent.getResources());
    }

    public void testGetEvent() {
        assertEquals(1,resourceEvent.getEvent());
    }

}
