/*
 * Copyright (c) Members of the EGEE Collaboration. 2004. 
 * See http://www.eu-egee.org/partners/ for details on the copyright
 * holders.  
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 *
 *     http://www.apache.org/licenses/LICENSE-2.0 
 *
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 */

/*
 * 
 * Authors: Antonino Stefano Borgia <stefano.borgia@pd.infn.it>
 *
 */
import org.glite.ce.monitorapij.sensor.SensorException;

import junit.framework.TestCase;

/**
 * 
 */
public class SensorExceptionTest extends TestCase {
   
   private SensorException sensorException = null;

   public static void main( String[] args ) {
      junit.textui.TestRunner.run( SensorExceptionTest.class );
   }


   /*
    * @see TestCase#setUp()
    */
   protected void setUp( ) throws Exception {
      sensorException = new SensorException();
   }


   /*
    * Class under test for void SensorException()
    */
   public void testSensorException( ) {
      assertNotNull(sensorException);
   }


   /*
    * Class under test for void SensorException(String)
    */
   public void testSensorExceptionString( ) {
      sensorException = new SensorException("Test");
      assertNotNull(sensorException);
   }


   /*
    * Class under test for void SensorException(int, String)
    */
   public void testSensorExceptionintString( ) {
      sensorException = new SensorException(1,"Test");
      assertNotNull(sensorException);
   }


   public void testGetSetExceptionID( ) {
      assertEquals(0,sensorException.getExceptionID());
      sensorException.setExceptionID(1);
      assertEquals(1,sensorException.getExceptionID());
      // if ExceptionID > 1 it is set to 0
      sensorException.setExceptionID(2);
      assertEquals(0,sensorException.getExceptionID());
   }


}
