/*
 * Copyright (c) Members of the EGEE Collaboration. 2004. 
 * See http://www.eu-egee.org/partners/ for details on the copyright
 * holders.  
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 *
 *     http://www.apache.org/licenses/LICENSE-2.0 
 *
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 */

/*
 * 
 * Authors: Antonino Stefano Borgia <stefano.borgia@pd.infn.it>
 *
 */
import junit.framework.TestCase;

/**
 * @author borgia
 *
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
public class SensorOutputDataFormatTest extends TestCase {

    TestFormat testFormat = null;
    /*
     * @see TestCase#setUp()
     */
    protected void setUp() throws Exception {
        testFormat = new TestFormat("test");
    }

    /*
     * Class under test for void SensorOutputDataFormat(String)
     */
    public void testSensorOutputDataFormatString() {
    }

    /*
     * Class under test for void SensorOutputDataFormat(String, String[])
     */
    public void testSensorOutputDataFormatStringStringArray() {
    }

    public void testGetName() {
        assertEquals("test",testFormat.getName());
    }

    public void testSetGetSupportedQueryLang() {
        String[] queryLangs = {"ciao", "hello"};
        testFormat.setSupportedQueryLang(queryLangs);
        assertEquals("ciao",testFormat.getSupportedQueryLang()[0]);
        assertEquals("hello",testFormat.getSupportedQueryLang()[1]);
    }


    public void testIsSupportedQueryLang() {
        String[] queryLangs = {"ciao", "hello"};
        testFormat.setSupportedQueryLang(queryLangs);
        assertTrue(testFormat.isSupportedQueryLang("ciao"));
        assertTrue(testFormat.isSupportedQueryLang("hello"));
        assertFalse(testFormat.isSupportedQueryLang("nothing"));
        assertFalse(testFormat.isSupportedQueryLang(null));
    }


}
