/*
 * Copyright (c) Members of the EGEE Collaboration. 2004. 
 * See http://www.eu-egee.org/partners/ for details on the copyright
 * holders.  
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 *
 *     http://www.apache.org/licenses/LICENSE-2.0 
 *
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 */

/*
 * 
 * Authors: Antonino Stefano Borgia <stefano.borgia@pd.infn.it>
 *
 */
import org.glite.ce.monitorapij.types.Dialect;

import junit.framework.TestCase;

/**
 * @author borgia
 *
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
public class _DialectTest extends TestCase {

    private Dialect dialect = null;
    /*
     * @see TestCase#setUp()
     */
    protected void setUp() throws Exception {
        dialect = new Dialect();
    }

    /*
     * Class under test for void Dialect()
     */
    public void test_Dialect() {
        assertNotNull(dialect);
    }

    /*
     * Class under test for void Dialect(String)
     */
    public void test_DialectString() {
        dialect = new Dialect("test");
        assertEquals("test",dialect.getName());
    }

    public void testCheckSupportedQueryLanguage() {
        assertFalse(dialect.checkSupportedQueryLanguage(null));
        String[] queryLanguages = new String[2];
        queryLanguages[0]="test language";
        queryLanguages[1]="nothing";
        dialect.setQueryLanguage(queryLanguages);
        assertTrue(dialect.checkSupportedQueryLanguage("test language"));
        assertFalse(dialect.checkSupportedQueryLanguage("boh"));
    }

}
