/*
 * Copyright (c) Members of the EGEE Collaboration. 2004. 
 * See http://www.eu-egee.org/partners/ for details on the copyright
 * holders.  
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 *
 *     http://www.apache.org/licenses/LICENSE-2.0 
 *
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 */

/*
 * 
 * Authors: Antonino Stefano Borgia <stefano.borgia@pd.infn.it>
 *
 */
import java.util.Calendar;

import org.apache.axis.encoding.ser.CalendarDeserializer;
import org.glite.ce.monitorapij.types.Event;

import junit.framework.TestCase;

/**
 * @author borgia
 *
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
public class _EventTest extends TestCase {

    private Event event = null;
    private Calendar calendar;
    /*
     * @see TestCase#setUp()
     */
    protected void setUp() throws Exception {
        event= new Event();
    }

    /*
     * Class under test for void Event()
     */
    public void test_Event() {
        assertNotNull(event);
        assertEquals(-1,event.getID());
    }

    /*
     * Class under test for void Event(int, Calendar)
     */
    public void test_EventintCalendar() {
        Calendar calendar = Calendar.getInstance();
        event = new Event(2,calendar);
        assertEquals(2,event.getID());
        assertEquals(calendar,event.getTimestamp());
        event = new Event(2,null);
        assertNotSame(calendar,event.getTimestamp());
        
    }

    /*
     * Class under test for Object clone()
     */
    public void testClone() {
        Event clonedEvent = (Event )event.clone();
        assertSame(event.getMessage(), clonedEvent.getMessage());
        String[] messages = new String[]{"this","is","a","test"};
        event.setMessage(messages);
        event.setProducer("producer");
        clonedEvent = (Event )event.clone();
        assertEquals("test", clonedEvent.getMessage(3));
        assertEquals("producer", clonedEvent.getProducer());
    }

}
