/*
 * Copyright (c) Members of the EGEE Collaboration. 2004. 
 * See http://www.eu-egee.org/partners/ for details on the copyright
 * holders.  
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 *
 *     http://www.apache.org/licenses/LICENSE-2.0 
 *
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 */
 
/*
 * 
 * Authors: Antonino Stefano Borgia <stefano.borgia@pd.infn.it>
 *
 */


import org.glite.ce.monitorapij.types.Dialect;
import org.glite.ce.monitorapij.types.Topic;

import junit.framework.TestCase;

public class _TopicTest extends TestCase {

    Topic topic = null;
    /*
     * @see TestCase#setUp()
     */
    protected void setUp() throws Exception {
        topic = new Topic();
    }

    /*
     * Class under test for void Topic()
     */
    public void test_Topic() {
        assertNotNull(topic);
    }

    /*
     * Class under test for void Topic(String)
     */
    public void test_TopicString() {
        topic = new Topic("test");
        assertNotNull(topic);
        assertEquals("test",topic.getName());
    }

    /*
     * Class under test for Dialect getDialect(String)
     */
    public void testGetDialectString() {
        Dialect[] dialects = new Dialect[1];
        Dialect dialect = new Dialect("test dialect");
        dialects[0] = dialect;
        topic.setDialect(dialects);
        assertNull(topic.getDialect(null));
        assertNull(topic.getDialect("nothing"));
        dialect = topic.getDialect("test dialect");
        assertEquals("test dialect",topic.getDialect("test dialect").getName());
    }

    public void testCheckSupportedDialect() {
        Dialect[] dialects = new Dialect[1];
        Dialect dialect = new Dialect("test dialect");
        dialects[0] = dialect;
        topic.setDialect(dialects);
        Dialect notSupportedDialect = new Dialect("not supported");
        assertFalse(topic.checkSupportedDialect(null));
        assertFalse(topic.checkSupportedDialect(notSupportedDialect));
        assertTrue(topic.checkSupportedDialect(dialect));
    }

}
